---
title: "Google Local Services API: Search | Perceptlayer"
description: "Search from Google Local Services as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/google-local-services/search
---

[APIs](https://perceptlayer.com/apis) / [Google Local Services](https://perceptlayer.com/apis/google-local-services) / Search

# Google Local Services: Search

Search from Google Local Services as JSON. 1 credit per successful call.

GET `/v1/google-local-services/search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `q` | string | Required | Up to 255 characters |
| `hl` | string | Optional | Up to 2 characters |
| `gl` | string | Optional | Up to 2 characters |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/google-local-services/search?q=plumber+near+Chicago%2C+IL&hl=en&gl=us" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/google-local-services?try=search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
